# sfepy.mechanics.contact_bodies module

class sfepy.mechanics.contact_bodies.ContactPlane(anchor, normal, bounds, eps=1e-14)
  get_distance(points)
  mask_points(points)

class sfepy.mechanics.contact_bodies.ContactSphere(centre, radius)
  get_distance(points)

    Get the penetration distance and normals of points w.r.t. the sphere surface.

    Returns:
      d array

        The penetration distance.

      normals array

        The normals from the points to the sphere centre.

  mask_points(points, eps)

sfepy.mechanics.contact_bodies.plot_points(ax, points, marker, **kwargs)

sfepy.mechanics.contact_bodies.plot_polygon(ax, polygon)